% ADM (ߎΊp@) 
% ʉŗLl Ax=Bx ̌ŗLlɂ̐Βlő𐸓xۏؕtŋ߂
% ԍs A, B ɑ΂ ADM(A,B) Ɨp

function ret = ADM(intA,intB)

% Step 1. Cholesky (interval)
intC=intchol(intB);

% Step 2. E=inv(C)*A*inv(C)' vZ (interval)
intE=inv(intC)*intA*inv(intC)';
E=mid(intE);
E=1/2*(E+E');

% Step 3. E ̐KꂽŗLxNgɂߎΊps T 쐬 (floating)
[T D]=eig(E);

% Step 4. D=T'*E*T, lambda1 vZ (interval)
intD=T'*intE*T;
lambda1=norm(intD,inf);

% Step 5. I=inv(T*T'), lambda2 vZ (interval)
intT=intval(T);
I=inv(intT*intT');
lambda2=norm(I,inf);

% Step 6. lambda1*lambda2 vZ (interval)
ret=intval(lambda1)*intval(lambda2);
