% apriori_test_interval.m
% AvI덷萔 interval ŋ߂
% p̃vO

clear

format long e

% G_RUMP : 1 , ADM_a : 2
frag=2;


Nx=5;
Ny=5;

nu=1;

delta=1e-9;
ddelta=1e-9;

VPDdelta=1e-2;
VPDddelta=1e-2;

width=1;
height=1;

C0=intval(1)/(2*pi);
beta=intval(1)/sqrt(4+2*sqrt(2));

h=max(sup(intval(width)/Nx),sup(intval(height)/Ny));

fprintf('s쐬Jn\n');
tic
[intF,intA1,intA2,intA3,intA4]=apriori_interval(Nx,Ny,nu,width,height);
matrix_time=toc;
fprintf('s쐬I\ns쐬 %f b܂\n',matrix_time);

if frag==1
tic
G_RUMP_K1=sqrt(G_RUMP(delta,ddelta,VPDdelta,VPDddelta,intA1,intF));
G_RUMP_K1_time=toc;
fprintf('\n K1 ߂̂ %f b܂\n',G_RUMP_K1_time);
infsup(G_RUMP_K1)

tic
G_RUMP_K2=sqrt(G_RUMP(delta,ddelta,VPDdelta,VPDddelta,intA2,intF));
G_RUMP_K2_time=toc;
fprintf('\n K2 ߂̂ %f b܂\n',G_RUMP_K2_time);
infsup(G_RUMP_K2)

tic
G_RUMP_K3=sqrt(G_RUMP(delta,ddelta,VPDdelta,VPDddelta,intA3,intF));
G_RUMP_K3_time=toc;
fprintf('\n K3 ߂̂ %f b܂\n',G_RUMP_K3_time);
infsup(G_RUMP_K3)

tic
G_RUMP_K4=sqrt(G_RUMP(delta,ddelta,VPDdelta,VPDddelta,intA4,intF));
G_RUMP_K4_time=toc;
fprintf('\n K4 ߂̂ %f b܂\n',G_RUMP_K4_time);
infsup(G_RUMP_K4)
fprintf('\n');

G_RUMP_Ch1=sqrt((nu*G_RUMP_K1+C0*h*G_RUMP_K2+G_RUMP_K3)^2+(C0*h)^2);
infsup(G_RUMP_Ch1)
G_RUMP_Ch2=sqrt((C0*h*G_RUMP_K4+G_RUMP_K3)^2+(C0*h)^2);
infsup(G_RUMP_Ch2)

nu=intval(nu);
v_constant1=sqrt(1/(nu^2)+1/(beta^2))*G_RUMP_Ch1;
p_constant1=(1/beta+nu/(beta^2))*G_RUMP_Ch1;
v_constant2=sqrt(1/(nu^2)+1/(beta^2))*G_RUMP_Ch2;
p_constant2=(1/beta+nu/(beta^2))*G_RUMP_Ch2;
infsup(v_constant1)
infsup(p_constant1)
infsup(v_constant2)
infsup(p_constant2)

G_RUMP_L2_error=nu*v_constant2^2+2*p_constant2*G_RUMP_K3;
infsup(G_RUMP_L2_error)
end

if frag==2
tic
ADM_a_K1=sqrt(ADM_a(intA1,intF));
ADM_a_K1_time=toc;
fprintf('\n K1 ߂̂ %f b܂\n',ADM_a_K1_time);
infsup(ADM_a_K1)

tic
ADM_a_K2=sqrt(ADM_a(intA2,intF));
ADM_a_K2_time=toc;
fprintf('\n K2 ߂̂ %f b܂\n',ADM_a_K2_time);
infsup(ADM_a_K2)

tic
ADM_a_K3=sqrt(ADM_a(intA3,intF));
ADM_a_K3_time=toc;
fprintf('\n K3 ߂̂ %f b܂\n',ADM_a_K3_time);
infsup(ADM_a_K3)

tic
ADM_a_K4=sqrt(ADM_a(intA4,intF));
ADM_a_K4_time=toc;
fprintf('\n K4 ߂̂ %f b܂\n',ADM_a_K4_time);
infsup(ADM_a_K4)
fprintf('\n');

ADM_a_Ch1=sqrt((nu*ADM_a_K1+C0*h*ADM_a_K2+ADM_a_K3)^2+(C0*h)^2);
infsup(ADM_a_Ch1)
ADM_a_Ch2=sqrt((C0*h*ADM_a_K4+ADM_a_K3)^2+(C0*h)^2);
infsup(ADM_a_Ch2)

nu=intval(nu);
v_constant1=sqrt(1/(nu^2)+1/(beta^2))*ADM_a_Ch1;
p_constant1=(1/beta+nu/(beta^2))*ADM_a_Ch1;
v_constant2=sqrt(1/(nu^2)+1/(beta^2))*ADM_a_Ch2;
p_constant2=(1/beta+nu/(beta^2))*ADM_a_Ch2;
infsup(v_constant1)
infsup(p_constant1)
infsup(v_constant2)
infsup(p_constant2)

ADM_a_L2_error=nu*v_constant2^2+2*p_constant2*ADM_a_K3;
infsup(ADM_a_L2_error)
end