% ADM_a (ǌ^ߎΊp@)
% ʉŗLl Ax=Bx ̌ŗLlɂ̐Βlő𐸓xۏؕtŋ߂
% ԍs A, B ɑ΂ ADM_a(A,B) Ɨp

function ret = ADM_a(intA,intB)

[n,n]=size(intA);

A=mid(intA);
B=mid(intB);

% Step 1. Cholesky  B  C_tilde * C_tilde' s (floating)
C_tilde=chol(B)';

% Step 2. E_tilde = inv(C_tilde) * A * inv(C_tilde)' vZ (floating)
E_tilde=inv(C_tilde)*A*inv(C_tilde)';
E_tilde=1/2*(E_tilde+E_tilde');

% Step 3. E_tilde ̐KꂽŗLxNgɂߎΊps T_tilde 쐬 (floating)
[T_tilde D]=eig(E_tilde);

% Step 4. P_tilde = T_tilde' * inv(C_tilde) vZ (floating)
P_tilde=T_tilde'*inv(C_tilde);

% Step 5. D = P_tilde * A * P_tilde', lambda1 = norm(D,inf) vZ (interval)
intD=P_tilde*intA*P_tilde';
lambda1=norm(intD,inf);

% Step 6. I = inv(P_tilde * B * P_tilde'), lambda2 = norm(I,inf) vZ (interval)
I=inv(P_tilde*intB*P_tilde');
lambda2=norm(I,inf);

% Step 7. lambda1 * lambda2 vZ (interval)
ret=intval(lambda1)*intval(lambda2);
