% RUMP (RUMP ̕@)
% ʉŗLl Ax=Bx ̌ŗLlɂ̐Βlő𐸓xۏؕtŋ߂
% ԍs A, B ɑ΂ RUMP(,̑,A,B) Ɨp

function ret = ADM(delta,ddelta,intA,intB)

[n,n]=size(intA);
count=0;

% Step 1. B  C C'  Cholesky  (interval)
intC=intchol(intB);

% Step 2. E = inv(C) * A * inv(C)' vZ (interval)
intE=inv(intC)*intA*inv(intC)';
E=mid(intE);
E=1/2*(E+E');

% Step 3. E  ŗLl̐Βlő beta_tilde ߎvZ (floating)
opts.disp=0;
beta_tilde=abs(eigs(E,1,'lm',opts));

% Step 4. Ȑ 0 < delta << 1 ɂ beta = (1 + delta)*beta_tilde Ƃ (interval)
while true
    beta=(intval(1)+intval(delta))*intval(beta_tilde);

    % Step 5. X_1 = -E + beta * I_n , X_2 = E + beta * I_n vZ (interval)
    intX_1=-intE+beta*eye(n);
    intX_2= intE+beta*eye(n);
    X_1=mid(intX_1);
    X_2=mid(intX_2);

    % Step 6. X_k (k=1,2)  Cholesky  (X_k  C_k_tilde * C_k_tilde')  (floating)
    %         Cholesky sꍇ delta ̒l傫 Step 4 ɖ߂邩~
    [C_1_tilde p1]=chol(X_1);
    [C_2_tilde p2]=chol(X_2);
    if p1==0 && p2==0
        break;
    end
    % delta 𑝂₷
    delta=delta+ddelta;
    
    count=count+1;
    if delta > 0.5
        fprintf('~܂B%d傫܂B\n=%fłB\n',count,delta);
        ret=0;
        return
    end
end
C_1_tilde=C_1_tilde';
C_2_tilde=C_2_tilde';

% Step 7. Y_k = C_k_tilde * C_k_tilde' - X_k, lambda_k = norm(Y_k,inf) (k=1,2)
%         vZ (interval)
Y_1=intval(C_1_tilde)*intval(C_1_tilde')-intX_1;
Y_2=intval(C_2_tilde)*intval(C_2_tilde')-intX_2;
lambda1=norm(Y_1,inf);
lambda2=norm(Y_2,inf);

% Step 8. beta + max(lambda1,lambda2) vZ (interval)
ret=beta+intval(lambda1)*intval(lambda2);
