% aposteriori_test_interval.m
% |u-uh|_1,|p-ph|_0,|u-uh|_0 ̎덷E interval ŋ߂
% p̃vO

clear
format long e

N=5;
Nx=N;
Ny=N;

nu=1;
width=1;
height=1;

hx=intval(width)/Nx;
hy=intval(height)/Ny;

fprintf('vZJn\n');
tic
[C_uh_ph div_uh_0]=aposteriori_interval(Nx,Ny,nu,width,height);
aposteriori_time=toc;
fprintf('vZI\nC(uh,ph) ߂̂ %f b܂\n',aposteriori_time);

C0=intval(1)/(2*pi);
h=max(sup(hx),sup(hy));
beta=intval(1)/sqrt(4+2*sqrt(2));
nu=intval(nu);

C_data=zeros(15,2);
C_data(5,1)=2.707422795256720e-001;   C_data(5,2)=9.136129829546416e-001;
C_data(10,1)=1.405510431595060e-001;  C_data(10,2)=4.742859446382364e-001;
C_data(15,1)=9.459740946044298e-002;  C_data(15,2)=3.192165685697495e-001;

K3_data=zeros(15,1);
K3_data(5)=5.100876308621370e-002;
K3_data(10)=2.794084060492480e-002;
K3_data(15)=1.896597079889749e-002;

u_uh_1=sqrt(1/(nu^2)+1/(beta^2))*C_uh_ph;
p_ph_0=(1/beta+nu/(beta^2))*C_uh_ph;

infsup(C_uh_ph)
infsup(u_uh_1)
infsup(p_ph_0)

u_uh_0=nu*C_data(N,1)*u_uh_1+C_data(N,2)*div_uh_0+K3_data(N)*p_ph_0;
infsup(u_uh_0)