% intchol.m 
% ԍs Cholesky 
% ԍs A ɑ΂ A=CC' ƂȂs C vZ
% intchol(A) Ɨp
%
% vZx܂gɂȂȂ

function ret = intchol(A)
  n=size(A);
  n=n(1,1);
  L=intval(zeros(n));
  for i=1:n
      for j=1:i-1
          s=A(i,j);
          for k=1:j-1
              s=s-L(i,k)*L(j,k);
          end
          L(i,j)=s/L(j,j);
      end
      s=A(i,i);
      for k=1:i-1
          s=s-L(i,k)^2;
      end
      L(i,i)=sqrt(s);
  end
  ret=L;
